## ros-humble-novatel-gps-driver 4.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

set(CMAKE_CXX_STANDARD 14)

project(novatel_gps_driver)

# Ament packages
find_package(diagnostic_msgs REQUIRED)
find_package(diagnostic_updater REQUIRED)
find_package(gps_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(novatel_gps_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(swri_math_util  REQUIRED)
find_package(swri_roscpp REQUIRED)
find_package(swri_serial_util REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)

# Boost
find_package(Boost REQUIRED COMPONENTS system thread)

# libpcap; it doesn't provide PkgConfig or CMake modules
find_library(libpcap_LIBRARIES pcap)
if ("${libpcap_LIBRARIES}" STREQUAL "pcap-NOTFOUND")
  set(libpcap_FOUND FALSE)
else()
  set(libpcap_FOUND TRUE)
endif()

include_directories(include)

### Driver library ###
add_library(${PROJECT_NAME}
  src/novatel_gps.cpp
  src/novatel_message_extractor.cpp
  src/parsers/bestpos.cpp
  src/parsers/bestutm.cpp
  src/parsers/bestvel.cpp
  src/parsers/bestxyz.cpp
  src/parsers/clocksteering.cpp
  src/parsers/corrimudata.cpp
  src/parsers/dual_antenna_heading.cpp
  src/parsers/gpgga.cpp
  src/parsers/gpgsa.cpp
  src/parsers/gpgsv.cpp
  src/parsers/gphdt.cpp
  src/parsers/gprmc.cpp
  src/parsers/header.cpp
  src/parsers/heading2.cpp
  src/parsers/inscov.cpp
  src/parsers/inspva.cpp
  src/parsers/inspvax.cpp
  src/parsers/insstdev.cpp
  src/parsers/parsing_utils.cpp
  src/parsers/psrdop2.cpp
  src/parsers/range.cpp
  src/parsers/time.cpp
  src/parsers/trackstat.cpp
)
set_property(TARGET ${PROJECT_NAME}
  PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(${PROJECT_NAME}
  Boost::boost
  ${libpcap_LIBRARIES}
)

# TODO: Remove once support is dropped
if(tf2_geometry_msgs_VERSION VERSION_GREATER_EQUAL "0.18.0")
  set(USE_TF2_GEOMETRY_MSGS_HPP USE_TF2_GEOMETRY_MSGS_HPP)
endif()

target_compile_definitions(${PROJECT_NAME} PRIVATE
  ${USE_TF2_GEOMETRY_MSGS_HPP}
)

ament_target_dependencies(${PROJECT_NAME}
  diagnostic_msgs
  diagnostic_updater
  gps_msgs
  nav_msgs
  novatel_gps_msgs
  rclcpp
  rclcpp_components
  sensor_msgs
  std_msgs
  swri_math_util
  swri_roscpp
  swri_serial_util
  tf2
  tf2_geometry_msgs
)

### ROS Node ###
add_library(${PROJECT_NAME}_nodes SHARED
  src/nodes/novatel_gps_node.cpp
)
target_compile_definitions(${PROJECT_NAME}_nodes
  PRIVATE "COMPOSITION_BUILDING_DLL")
rclcpp_components_register_nodes(${PROJECT_NAME}_nodes "novatel_gps_driver::NovatelGpsNode")
target_link_libraries(${PROJECT_NAME}_nodes
  Boost::boost
  Boost::thread
  ${PROJECT_NAME}
)

### Unit tests
if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_index_cpp REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(parser_tests test/parser_tests.cpp)
  target_link_libraries(parser_tests
    Boost::system
    ${PROJECT_NAME}
  )
  ament_target_dependencies(parser_tests ament_index_cpp)

  ament_add_gtest(novatel_gps_tests test/novatel_gps_tests.cpp)
  target_link_libraries(novatel_gps_tests
    Boost::system
    ${PROJECT_NAME}
  )
  ament_target_dependencies(novatel_gps_tests ament_index_cpp)
endif()

### Install Libraries and Headers ###
install(TARGETS
    ${PROJECT_NAME} 
    ${PROJECT_NAME}_nodes
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)
install(DIRECTORY include/
  DESTINATION include
)
# I'd rather not install the sample .pcap data, but it seems that it needs to be
# installed for the tests to be able to find it...
install(DIRECTORY test/
  DESTINATION test
  FILES_MATCHING PATTERN "*.pcap"
)

### Install Launch Files ###
install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}/
)

ament_export_dependencies(ament_cmake)
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME}
  ${PROJECT_NAME}_nodes
  libpcap
)

ament_package()

=== debian/changelog ===
ros-humble-novatel-gps-driver (4.1.1-2jammy) jammy; urgency=high

  * Merge pull request #116 <https://github.com/swri-robotics/novatel_gps_driver/issues/116> from devrite/115-fix-humble-build-errors-tf2-and-rclcpp-components
    Fix humble build errors tf2 and rclcpp_components
  * Include tf2 to geometry_msgs header
    Fixes #115 <https://github.com/swri-robotics/novatel_gps_driver/issues/115>
  * cmake: add rclcpp_components to deps
  * Merge pull request #109 <https://github.com/swri-robotics/novatel_gps_driver/issues/109> from Smiffe/dashing-devel
    expected_rate based on polling_period parameter
  * Merge pull request #113 <https://github.com/swri-robotics/novatel_gps_driver/issues/113> from ksuszka/galactic-launch-fix
    Fix example launch files to work under Galactic
  * expected_rate based on polling_period parameter
  * Merge pull request #108 <https://github.com/swri-robotics/novatel_gps_driver/issues/108> from ksuszka/dashing-devel
    Fix compilation warning on Galactic
  * Contributors: David Anthony, Krzysztof Suszka, Markus Hofstaetter, PBed

 -- P. J. Reed <preed@swri.org>  Fri, 21 Oct 2022 00:00:00 -0000

ros-humble-novatel-gps-driver (4.1.0-2jammy) jammy; urgency=high

  * Add param to disable invalid GPSFixes, replace GPRMC with BESTVEL (ROS2) (#94 <https://github.com/swri-robotics/novatel_gps_driver/issues/94>)
  * Use rclcpp::WallRate to sleep instead of boost (ROS2) (#86 <https://github.com/swri-robotics/novatel_gps_driver/issues/86>)
  * Refactor GPSFix generation (ROS2) (#73 <https://github.com/swri-robotics/novatel_gps_driver/issues/73>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 06 Oct 2020 00:00:00 -0000

ros-humble-novatel-gps-driver (4.0.3-2jammy) jammy; urgency=high

  * Handle GPGSV log with 0 satellites correctly (#77 <https://github.com/pjreed/novatel_gps_driver/issues/77>)
  * Fill out error measurements in GPSFix messages (#71 <https://github.com/pjreed/novatel_gps_driver/issues/71>)
  * Fix covariance in GPSFix messages (#69 <https://github.com/pjreed/novatel_gps_driver/issues/69>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 06 Mar 2020 00:00:00 -0000

ros-humble-novatel-gps-driver (4.0.2-2jammy) jammy; urgency=high

  * Add dependency on tf2_geometry_msgs (#67 <https://github.com/swri-robotics/novatel_gps_driver/issues/67>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-humble-novatel-gps-driver (4.0.1-2jammy) jammy; urgency=high

  * Add missing dependencies (#66 <https://github.com/swri-robotics/novatel_gps_driver/issues/66>)
  * Add epson g370 (#63 <https://github.com/swri-robotics/novatel_gps_driver/issues/63>)
  * Contributors: P. J. Reed, icolwell-as

 -- P. J. Reed <preed@swri.org>  Fri, 15 Nov 2019 00:00:00 -0000

ros-humble-novatel-gps-driver (4.0.0-2jammy) jammy; urgency=high

  * ROS2 Dashing support (#61 <https://github.com/pjreed/novatel_gps_driver/issues/61>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-humble-novatel-gps-driver (3.9.0-2jammy) jammy; urgency=high

  * Use GPGGA quality to set GPSFix status (#55 <https://github.com/swri-robotics/novatel_gps_driver/issues/55>)
  * Publish INSPVAX logs (#54 <https://github.com/swri-robotics/novatel_gps_driver/issues/54>)
  * Add GPHDT message (#51 <https://github.com/swri-robotics/novatel_gps_driver/issues/51>)
  * Fix ascii header message id in novatel_gps.cpp (#50 <https://github.com/swri-robotics/novatel_gps_driver/issues/50>)
  * Correctly convert novatel header flags to bool and add tests for them (#48 <https://github.com/swri-robotics/novatel_gps_driver/issues/48>)
  * Add DUALANTENNAHEADING msg (#46 <https://github.com/swri-robotics/novatel_gps_driver/issues/46>)
  * Add HEADING2 msg (#43 <https://github.com/swri-robotics/novatel_gps_driver/issues/43>)
  * Add BESTXYZ msg (#42 <https://github.com/swri-robotics/novatel_gps_driver/issues/42>)
  * Contributors: Marcel Zeilinger, Matthew, Michael McConnell, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 00:00:00 -0000

ros-humble-novatel-gps-driver (3.8.0-2jammy) jammy; urgency=high

  * Add fix for messages build order (#41 <https://github.com/swri-robotics/novatel_gps_driver/issues/41>)
  * Add clocksteering parsing (#40 <https://github.com/swri-robotics/novatel_gps_driver/issues/40>)
  * Only unlogall for the current port (#36 <https://github.com/swri-robotics/novatel_gps_driver/issues/36>)
  * Contributors: Matthew, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 04 Jun 2019 00:00:00 -0000

ros-humble-novatel-gps-driver (3.7.0-2jammy) jammy; urgency=high

  * Added IMU: Honeywell HG4930 AN01 (#31 <https://github.com/swri-robotics/novatel_gps_driver/issues/31>)
  * Added launch file to test an Ethernet interface. (#33 <https://github.com/swri-robotics/novatel_gps_driver/issues/33>)
  * Contributors: Rinda Gunjala, Zach Oakes

 -- P. J. Reed <preed@swri.org>  Fri, 22 Mar 2019 00:00:00 -0000

ros-humble-novatel-gps-driver (3.6.0-2jammy) jammy; urgency=high

  * Allow setting the serial baud rate through serial_baud ROS parameter
  * Add support for BESTUTM log
  * Add support for INSPVAX log (#27)
  * Contributors: Ellon Paiva Mendes, Sagnik Basu

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 00:00:00 -0000

ros-humble-novatel-gps-driver (3.5.0-2jammy) jammy; urgency=high

  * Update documentation
  * Fix parsing of gprmc messages for OEM4 models (#22)
  * Finish serial commands with [CR][LF] (Carriage-Return Line-Feed) (#21)
  * Adds configuration parameter span_frame_to_ros_frame. (#20)
  * Adds additional IMUs defined in the OEM7 firmware. (#17)
  * Enable the driver to determine IMU sample rate from the IMU type (#9)
  * Contributors: Ellon Paiva Mendes, Joshua Whitley, Matthew, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-humble-novatel-gps-driver (3.4.0-2jammy) jammy; urgency=high



=== debian/control ===
Source: ros-humble-novatel-gps-driver
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libpcap0.8-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-index-cpp <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-diagnostic-msgs, ros-humble-diagnostic-updater, ros-humble-gps-msgs, ros-humble-nav-msgs, ros-humble-novatel-gps-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-swri-math-util, ros-humble-swri-roscpp, ros-humble-swri-serial-util, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-novatel-gps-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libpcap0.8-dev, ros-humble-diagnostic-msgs, ros-humble-diagnostic-updater, ros-humble-gps-msgs, ros-humble-nav-msgs, ros-humble-novatel-gps-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-swri-math-util, ros-humble-swri-roscpp, ros-humble-swri-serial-util, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-ros-workspace
Description: Driver for NovAtel receivers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-novatel-gps-driver//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-novatel-gps-driver 4.1.2

=== debian/changelog ===
ros-humble-novatel-gps-driver (4.1.2-1bookworm) bookworm; urgency=high

  * Merge pull request #117 <https://github.com/danthony06/novatel_gps_driver/issues/117> from JWhitleyWork/add-time-reference
    Add the ability to publish TimeReference messages.
  * Fix month.
  * Try to fix nanoseconds in time reference.
  * Add the ability to publish TimeReference messages.
  * Contributors: David Anthony, Joshua Whitley

 -- P. J. Reed <preed@swri.org>  Sun, 17 Mar 2024 16:00:00 -0000

ros-humble-novatel-gps-driver (4.1.1-1bookworm) bookworm; urgency=high

  * Merge pull request #116 <https://github.com/swri-robotics/novatel_gps_driver/issues/116> from devrite/115-fix-humble-build-errors-tf2-and-rclcpp-components
    Fix humble build errors tf2 and rclcpp_components
  * Include tf2 to geometry_msgs header
    Fixes #115 <https://github.com/swri-robotics/novatel_gps_driver/issues/115>
  * cmake: add rclcpp_components to deps
  * Merge pull request #109 <https://github.com/swri-robotics/novatel_gps_driver/issues/109> from Smiffe/dashing-devel
    expected_rate based on polling_period parameter
  * Merge pull request #113 <https://github.com/swri-robotics/novatel_gps_driver/issues/113> from ksuszka/galactic-launch-fix
    Fix example launch files to work under Galactic
  * expected_rate based on polling_period parameter
  * Merge pull request #108 <https://github.com/swri-robotics/novatel_gps_driver/issues/108> from ksuszka/dashing-devel
    Fix compilation warning on Galactic
  * Contributors: David Anthony, Krzysztof Suszka, Markus Hofstaetter, PBed

 -- P. J. Reed <preed@swri.org>  Thu, 20 Oct 2022 16:00:00 -0000

ros-humble-novatel-gps-driver (4.1.0-1bookworm) bookworm; urgency=high

  * Add param to disable invalid GPSFixes, replace GPRMC with BESTVEL (ROS2) (#94 <https://github.com/swri-robotics/novatel_gps_driver/issues/94>)
  * Use rclcpp::WallRate to sleep instead of boost (ROS2) (#86 <https://github.com/swri-robotics/novatel_gps_driver/issues/86>)
  * Refactor GPSFix generation (ROS2) (#73 <https://github.com/swri-robotics/novatel_gps_driver/issues/73>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 05 Oct 2020 16:00:00 -0000

ros-humble-novatel-gps-driver (4.0.3-1bookworm) bookworm; urgency=high

  * Handle GPGSV log with 0 satellites correctly (#77 <https://github.com/pjreed/novatel_gps_driver/issues/77>)
  * Fill out error measurements in GPSFix messages (#71 <https://github.com/pjreed/novatel_gps_driver/issues/71>)
  * Fix covariance in GPSFix messages (#69 <https://github.com/pjreed/novatel_gps_driver/issues/69>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 16:00:00 -0000

ros-humble-novatel-gps-driver (4.0.2-1bookworm) bookworm; urgency=high

  * Add dependency on tf2_geometry_msgs (#67 <https://github.com/swri-robotics/novatel_gps_driver/issues/67>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Sun, 17 Nov 2019 16:00:00 -0000

ros-humble-novatel-gps-driver (4.0.1-1bookworm) bookworm; urgency=high

  * Add missing dependencies (#66 <https://github.com/swri-robotics/novatel_gps_driver/issues/66>)
  * Add epson g370 (#63 <https://github.com/swri-robotics/novatel_gps_driver/issues/63>)
  * Contributors: P. J. Reed, icolwell-as

 -- P. J. Reed <preed@swri.org>  Thu, 14 Nov 2019 16:00:00 -0000

ros-humble-novatel-gps-driver (4.0.0-1bookworm) bookworm; urgency=high

  * ROS2 Dashing support (#61 <https://github.com/pjreed/novatel_gps_driver/issues/61>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 12 Nov 2019 16:00:00 -0000

ros-humble-novatel-gps-driver (3.9.0-1bookworm) bookworm; urgency=high

  * Use GPGGA quality to set GPSFix status (#55 <https://github.com/swri-robotics/novatel_gps_driver/issues/55>)
  * Publish INSPVAX logs (#54 <https://github.com/swri-robotics/novatel_gps_driver/issues/54>)
  * Add GPHDT message (#51 <https://github.com/swri-robotics/novatel_gps_driver/issues/51>)
  * Fix ascii header message id in novatel_gps.cpp (#50 <https://github.com/swri-robotics/novatel_gps_driver/issues/50>)
  * Correctly convert novatel header flags to bool and add tests for them (#48 <https://github.com/swri-robotics/novatel_gps_driver/issues/48>)
  * Add DUALANTENNAHEADING msg (#46 <https://github.com/swri-robotics/novatel_gps_driver/issues/46>)
  * Add HEADING2 msg (#43 <https://github.com/swri-robotics/novatel_gps_driver/issues/43>)
  * Add BESTXYZ msg (#42 <https://github.com/swri-robotics/novatel_gps_driver/issues/42>)
  * Contributors: Marcel Zeilinger, Matthew, Michael McConnell, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 03 Sep 2019 16:00:00 -0000

ros-humble-novatel-gps-driver (3.8.0-1bookworm) bookworm; urgency=high

  * Add fix for messages build order (#41 <https://github.com/swri-robotics/novatel_gps_driver/issues/41>)
  * Add clocksteering parsing (#40 <https://github.com/swri-robotics/novatel_gps_driver/issues/40>)
  * Only unlogall for the current port (#36 <https://github.com/swri-robotics/novatel_gps_driver/issues/36>)
  * Contributors: Matthew, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 03 Jun 2019 16:00:00 -0000

ros-humble-novatel-gps-driver (3.7.0-1bookworm) bookworm; urgency=high

  * Added IMU: Honeywell HG4930 AN01 (#31 <https://github.com/swri-robotics/novatel_gps_driver/issues/31>)
  * Added launch file to test an Ethernet interface. (#33 <https://github.com/swri-robotics/novatel_gps_driver/issues/33>)
  * Contributors: Rinda Gunjala, Zach Oakes

 -- P. J. Reed <preed@swri.org>  Thu, 21 Mar 2019 16:00:00 -0000

ros-humble-novatel-gps-driver (3.6.0-1bookworm) bookworm; urgency=high

  * Allow setting the serial baud rate through serial_baud ROS parameter
  * Add support for BESTUTM log
  * Add support for INSPVAX log (#27)
  * Contributors: Ellon Paiva Mendes, Sagnik Basu

 -- P. J. Reed <preed@swri.org>  Mon, 08 Oct 2018 16:00:00 -0000

ros-humble-novatel-gps-driver (3.5.0-1bookworm) bookworm; urgency=high

  * Update documentation


=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-novatel-gps-driver//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-novatel-gps-driver//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-novatel-gps-driver//opt/ros/humble/opt/novatel_gps_driver/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
